GET: Fetch Voice Models
curl --request GET \
--url https://arpeggi.io/api/kits/v1/voice-models \
--header 'Authorization: Bearer <token>'import requests
url = "https://arpeggi.io/api/kits/v1/voice-models"
headers = {"Authorization": "Bearer <token>"}
response = requests.get(url, headers=headers)
print(response.text)const options = {method: 'GET', headers: {Authorization: 'Bearer <token>'}};
fetch('https://arpeggi.io/api/kits/v1/voice-models', options)
.then(res => res.json())
.then(res => console.log(res))
.catch(err => console.error(err));
{
"data": [
{
"id": 110784,
"title": "Male Pop",
"tags": ["Singing", "Chest Voice", "Classical", "Opera", "Jazz"],
"imageUrl": "https://arpeggi-prod-public.s3.us-west-2.amazonaws.com/voice-models/images/WOPD47ciycl4AkcXyxiwT.png",
"demoUrl": "https://arpeggi-prod-public.s3.us-west-2.amazonaws.com/voice-models/demos/tszZHHKzsrbXMiVfz7irs.mp3",
"twitterLink": null,
"instagramLink": null,
"tiktokLink": null,
"spotifyLink": null,
"youtubeLink": null
},
...
],
"meta": {
"currentPage": 1,
"firstPage": 1,
"firstPageUrl": "/?page=1",
"lastPage": 3,
"lastPageUrl": "/?page=2",
"nextPageUrl": "/?page=3",
"perPage": 10,
"previousPageUrl": null,
"total": 30,
}
}
Query params are invalid.
Authentication was not provided or was invalid.
Voice Model API
GET: Fetch Voice Models
Access available voice models using the Kits API.
GET
/
api
/
kits
/
v1
/
voice-models
GET: Fetch Voice Models
Returns a paginated list of voice models.
Query Parameters
String
asc (default) or desc
Number
Page offset (default 1)
Number
Page size (default 10)
Boolean
Filter the response to your models only.
Boolean
Filter the response to instrument models only.
Headers
String
Bearer
<api-key>Response
List of Voice Models
Show Data
Show Data
Pagination Meta
Show Data
Show Data
{
"data": [
{
"id": 110784,
"title": "Male Pop",
"tags": ["Singing", "Chest Voice", "Classical", "Opera", "Jazz"],
"imageUrl": "https://arpeggi-prod-public.s3.us-west-2.amazonaws.com/voice-models/images/WOPD47ciycl4AkcXyxiwT.png",
"demoUrl": "https://arpeggi-prod-public.s3.us-west-2.amazonaws.com/voice-models/demos/tszZHHKzsrbXMiVfz7irs.mp3",
"twitterLink": null,
"instagramLink": null,
"tiktokLink": null,
"spotifyLink": null,
"youtubeLink": null
},
...
],
"meta": {
"currentPage": 1,
"firstPage": 1,
"firstPageUrl": "/?page=1",
"lastPage": 3,
"lastPageUrl": "/?page=2",
"nextPageUrl": "/?page=3",
"perPage": 10,
"previousPageUrl": null,
"total": 30,
}
}
Query params are invalid.
Authentication was not provided or was invalid.
⌘I
